## debgpt 0.4.94

=== Makefile ===
main: pytest

man: debgpt.1

.PHONY: debgpt.1
debgpt.1:
	pandoc -s README.md -t man > $@

autopep8:
	find debgpt -type f -name '*.py' -exec autopep8 -i '{}' \;

pytest:
	PYTHONPATH=. pytest -v

pyflakes:
	find . -type f -name '*.py' -exec pyflakes3 '{}' \; || find . -type f -name '*.py' -exec pyflakes '{}' \;

install:
	pip3 install .

=== debian/changelog ===
debgpt (0.4.94) unstable; urgency=medium

  * Release v0.4.94. (Closes: #1060654)
    Find the full changelog at /usr/share/doc/debgpt/changelog-full.md.gz

 -- Mo Zhou <lumin@debian.org>  Fri, 12 Jan 2024 21:35:27 -0500

debgpt (0.4.93) unstable; urgency=medium

  * Release v0.4.93.

 -- Mo Zhou <lumin@debian.org>  Tue, 09 Jan 2024 12:00:36 -0500

debgpt (0.4.92) unstable; urgency=medium

  * Release v0.4.92.

 -- Mo Zhou <lumin@debian.org>  Mon, 08 Jan 2024 23:39:14 -0500

debgpt (0.4.90) unstable; urgency=medium

  * Initial release. (Closes: #1060113)

 -- Mo Zhou <lumin@debian.org>  Sun, 07 Jan 2024 12:09:53 -0500

=== debian/control ===
Source: debgpt
Section: python
Homepage: https://salsa.debian.org/deeplearning-team/debgpt
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/deeplearning-team/debgpt.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/debgpt
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-openai,
 python3-rich,
 python3-prompt-toolkit,
 python3-requests,
 python3-bs4,
 pandoc,

Package: debgpt
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: python3-zmq, git, tldr, man-db,
Suggests: python3-torch | python3-torch-cuda | python3-torch-rocm,
          python3-transformers,
Description: Chatting LLM with Debian-Specific Knowledge
 Large language models (LLMs) are newly emerged tools, which are capable of
 handling tasks that traditional software could never achieve, such as writing
 code based on the specification provided by the user. In this tool, we
 attempt to experiment and explore the possibility of leveraging LLMs to aid
 Debian development, in any extent.
 .
 Essentially, the idea of this tool is to gather some pieces of
 Debian-specific knowledge, combine them together in a prompt, and then send
 them all to the LLM. This tool provides convenient functionality for
 automatically retrieving information from BTS, buildd, Debian Policy, system
 manual pages, tldr manuals, Debian Developer References, etc. It also provides
 convenient wrappers for external tools such as git, where debgpt can
 automatically generate the git commit message and commit the changes for you.
 .
 This tool supports multiple frontends, including OpenAI and ZMQ.
 The ZMQ frontend/backend are provided in this tool to make it self-contained.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=debgpt

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_build:
	$(MAKE) debgpt.1

override_dh_auto_test:
	true

execute_after_dh_auto_install:
	mkdir -p debian/debgpt/usr/share/doc/debgpt/
	install -m0644 CHANGELOG.md debian/debgpt/usr/share/doc/debgpt/changelog-full.md

## debgpt 0.5.1

=== debian/changelog ===
debgpt (0.5.1) unstable; urgency=medium

  * Release v0.5.1
  * frontend: reorder vLLM API key argument definition in CLI
  * metadata: add PyPI classifiers to pyproject.toml
  * frontend: bugfix: inherit OpenAIFrontend instead
  * Apply autopep8 to all python files.
  * cli: refactor config template generation with helper function
  * cli: enhance fresh install detection with OpenAI base URL check
  * `defaults: update OpenAI model to gpt-4o`

 -- Mo Zhou <lumin@debian.org>  Wed, 16 Oct 2024 12:14:12 -0400

debgpt (0.5.0) unstable; urgency=medium

  * Release v0.5.0
    * Now we have a reasonable set of supported frontends:
      OpenAI, Ollama, Llamafile, vLLM, and ZMQ
      (excluding the dryrun frontend for debugging)
  * genconfig: fix toml grammar error.
  * defaults: be verbose on loading config and overriding configs
  * task: explicitly annotate debgpt usage for debgpt git commit
  * frontend: add support for vLLM service integration
  * frontend: use AbstractFrontend init directly instead of super()

 -- Mo Zhou <lumin@debian.org>  Wed, 16 Oct 2024 01:08:39 -0400

debgpt (0.4.95) unstable; urgency=medium

  * Release v0.4.95.
  * frontend: Skip console output during config template generation
  * Add llamafile frontend (alias to openai frontend)
  * Add ollama frontend (OpenAI-API compatibibility mode)
  * Add --monochrome to disable colorized outputs during conversation
    (Closes: #1061387)
  * cli: Provide a fresh-install guide (Closes: #1064469)

 -- Mo Zhou <lumin@debian.org>  Wed, 16 Oct 2024 00:25:38 -0400

## debgpt 0.5.90

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,12 @@
 	pandoc -s README.md -t man > $@
 
 autopep8:
-	find debgpt -type f -name '*.py' -exec autopep8 -i '{}' \;
+	@echo autopep8 is deprecated, use yapf instead
+	#find debgpt -type f -name '*.py' -exec autopep8 -i '{}' \;
+	$(MAKE) yapf
+
+yapf:
+	find debgpt -type f -name '*.py' -exec yapf -i '{}' \;
 
 pytest:
 	PYTHONPATH=. pytest -v

=== debian/changelog ===
debgpt (0.5.90) unstable; urgency=medium

  * Release v0.5.90
    + Introduce mapreduce functionality for any-length text processing.
      See README for usage examples.
  * frontend: add oneshot() method for all frontends
  * README: introduce mapreduce usage example.
  * use yapf instead of autopep8 for code formatting
  * debgpt: remove --sbuild option
  * cli: add short '-a' option for '--ask' argument in mapreduce configuration
  * cli: add --amend option to git commit subcommand.

 -- Mo Zhou <lumin@debian.org>  Sun, 27 Oct 2024 01:03:14 -0400

debgpt (0.5.2) unstable; urgency=medium

  * Release v0.5.2
  * add support for Anthropic frontend integration
  * add support for Google Gemini frontend integration
  * cli: add support for loading latest sbuild build logs
  * README: add interactive mode tips and commands
  * cli: fix session index display in interactive mode prompt after /reset

 -- Mo Zhou <lumin@debian.org>  Sat, 26 Oct 2024 17:12:38 -0400

## debgpt 0.7

=== Makefile ===
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = debgpt
BUILDDIR      = _build

main: pytest

man: debgpt.1

.PHONY: debgpt.1
debgpt.1:
	pandoc -s README.md -t man > $@

autopep8:
	@echo autopep8 is deprecated, use yapf instead
	#find debgpt -type f -name '*.py' -exec autopep8 -i '{}' \;
	$(MAKE) yapf

yapf:
	find debgpt -type f -name '*.py' -exec yapf -i '{}' \;
	find tests -type f -name '*.py' -exec yapf -i '{}' \;

pytest:
	PYTHONPATH=. pytest --durations=10 --cov=debgpt --cov-report=html -v -n 8 $(ARGS)
	-open -a safari htmlcov/index.html

lint:
	find . -type f -name '*.py' -exec pyflakes '{}' \;
	find . -type f -name '*.py' -exec pylint '{}' \;
	pytype debgpt -j auto

install:
	pip3 install .

doc:
	sphinx-apidoc -o . debgpt
	sphinx-build . html

=== debian/changelog ===
debgpt (0.7) unstable; urgency=medium

  * Release v0.7 (DebGPT has gone through major refactoring)
    + AI is heavily used to help the development through DebGPT itself
      (including code generation, documentaiton generation, type annotations)
  * Major changes (including big changes to CLI usage):
    + relicense from MIT to LGPL-3.0+
    + reorganize codebase to make it more readable and maintainable
    * unified all readers into a unified read() function.
    * overhaul mapreduce code to make it faster, more efficient and robust
    + implemented the VectorDB, the EmbeddingModel, and the VectorRetriever.
      With those components, DebGPT will be able to do retrieval-augmented
      generation (RAG). But that feature is not yet implemented in CLI.
      + Supported embedding frontends: OpenAI, Google
    + add xAI frontend support.
  * For all changes please see CHANGELOG.md

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Nov 2024 02:47:22 -0500

debgpt (0.6) UNRELEASED; urgency=medium

  * This release is not uploaded to Debian.
  * Major changes:
    + add inplace file editing support, with optional auto git commit
    + add a TUI configuration wizard for configurating debgpt
  * Minor changes:
    + updates to code and doc. Add project art generated by AI.

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Nov 2024 02:35:53 -0500

debgpt (0.5.93) unstable; urgency=medium

  * v0.5.93 -- 2024-10-29
    + add google search support for context loading (--mapreduce|-x)
    * change `:sbuild` into `sbuild:` for mapreduce
    * change :policy and :devref into policy: and devref: for mapreduce
    * cli: enable markdown rendering by default
    * misc minor improvements.
    * Overhaul README with new examples and usage instructions.
  * v0.5.92 -- 2024-10-28
    + Add support for rendering LLM response markdown text with rich.
    + PDF file support is added for both `--pdf` and `--mapreduce` arguments.
    * misc minor updates and bugfixes.
  * v0.5.91 -- 2024-10-27
    + Add retry mechanism for rate limit exceeded errors.
    + mapreduce functionality now supports loading text from URLs.

 -- Mo Zhou <lumin@debian.org>  Tue, 29 Oct 2024 12:10:29 -0400

=== debian/control ===
Source: debgpt
Section: python
Homepage: https://salsa.debian.org/deeplearning-team/debgpt
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/deeplearning-team/debgpt.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/debgpt
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-openai,
 python3-rich,
 python3-prompt-toolkit,
 python3-requests,
 python3-bs4,
 python3-tenacity,
 python3-pygments,
 pandoc,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,

Package: debgpt
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: python3-zmq, git, tldr, man-db,
Suggests: python3-torch | python3-torch-cuda | python3-torch-rocm,
          python3-transformers,
Description: General Purpose Terminal LLM Tool with Some Debian-Specific Design
 Large Language Models (LLMs) are capable of handling tasks that traditional
 software could never achieve or even imagine, such as writing/editing code
 based on user instruction. DebGPT is a light-weight (depend on as less Python
 libraries as possible) terminal tool designed for general daily usage of LLM
 in terminal, as well as exploring the possibility of leveraging LLMs to aid
 Debian development, in any extent.
 .
 With DebGPT, you can ask LLM to read a file, summarize a document, answer a
 question based on a long context, edit a file, generate a git commit message
 for staged files, as long as you can imagine and provide the necessary
 information for it.
 .
 Essentially, the idea of this tool is to gather information that might be
 relevant to the user instruction, including some Debian/Linux-specific
 knowledge, and combine them together in a prompt to be sent to LLM.
 .
 The information sources supported by this tool include but are not limited to
 files, directories, URLs, PDFs, Debian BTS, Debian buildd, Debian Policy,
 system manual pages, tldr manuals, Debian Developer References, command lines,
 Google search results, retrieval results (for retrieval-augmented generation),
 and more.
 .
 DebGPT supports various LLM service providers, either commercial or
 self-hosted, including OpenAI, Anthropic, Google Gemini, Ollama, LlamaFile,
 vLLM, and ZMQ (DebGPT's built-in backend to make it self-contained).

## debgpt 0.7.2

=== debian/changelog ===
debgpt (0.7.2) unstable; urgency=medium

  * Release v0.7.2.

 -- Mo Zhou <lumin@debian.org>  Sat, 11 Jan 2025 09:31:27 -0500

## debgpt 0.7.3

=== debian/changelog ===
debgpt (0.7.3) unstable; urgency=medium

  * Release v0.7.3.

 -- Mo Zhou <lumin@debian.org>  Thu, 16 Jan 2025 20:03:13 -0500

=== debian/control ===
Source: debgpt
Section: python
Homepage: https://salsa.debian.org/deeplearning-team/debgpt
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/deeplearning-team/debgpt.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/debgpt
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-openai,
 python3-rich,
 python3-prompt-toolkit,
 python3-requests,
 python3-bs4,
 python3-tenacity,
 python3-pygments,
 pandoc,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,

Package: debgpt
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: python3-zmq, git, tldr, man-db,
Suggests: python3-torch | python3-torch-cuda | python3-torch-rocm,
          python3-transformers,
Description: General Purpose Terminal LLM Tool with Some Debian-Specific Design
 DebGPT is a lightweight terminal tool designed for everyday use with Large
 Language Models (LLMs), aiming to explore their potential in aiding
 Debian/Linux development. The possible use cases include code generation,
 documentation writing, code editing, and more, far beyond the capabilities of
 traditional software.
 .
 To achieve that, DebGPT gathers relevant information from various sources like
 files, directories, and URLs, and compiles it into a prompt for the LLM.  It
 also supports Retrieval-Augmented Generation (RAG) using language embedding
 models. DebGPT supports a range of LLM service providers, both commercial and
 self-hosted, including OpenAI, Anthropic, Google Gemini, Ollama, LlamaFile,
 vLLM, and ZMQ (DebGPT's built-in backend for self-containment).

## debgpt 0.7.4

=== debian/changelog ===
debgpt (0.7.4) unstable; urgency=medium

  * Build-Depends on python3-setuptools. (Closes: #1080577)

 -- Mo Zhou <lumin@debian.org>  Sun, 19 Jan 2025 13:53:24 -0500

## debgpt 0.7.5

=== debian/changelog ===
debgpt (0.7.5) unstable; urgency=medium

  * Release v0.7.5.
    + New frontends for llama.cpp, DeepSeek, Nvidia-NIM.

 -- Mo Zhou <lumin@debian.org>  Mon, 03 Feb 2025 23:32:54 -0500

## debgpt 0.7.6

=== Makefile ===
--- 
+++ 
@@ -10,11 +10,6 @@
 .PHONY: debgpt.1
 debgpt.1:
 	pandoc -s README.md -t man > $@
-
-autopep8:
-	@echo autopep8 is deprecated, use yapf instead
-	#find debgpt -type f -name '*.py' -exec autopep8 -i '{}' \;
-	$(MAKE) yapf
 
 yapf:
 	find debgpt -type f -name '*.py' -exec yapf -i '{}' \;

=== debian/changelog ===
debgpt (0.7.6) unstable; urgency=medium

  * Release 0.7.6.
    + Properly render the <think> blocks from DeepSeek models.

 -- Mo Zhou <lumin@debian.org>  Thu, 20 Mar 2025 11:26:52 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,10 @@
 	$(MAKE) debgpt.1
 
 override_dh_auto_test:
+	# The test is skipped because it requires network access.
 	true
 
 execute_after_dh_auto_install:
 	mkdir -p debian/debgpt/usr/share/doc/debgpt/
 	install -m0644 CHANGELOG.md debian/debgpt/usr/share/doc/debgpt/changelog-full.md
+

## debgpt 0.7.7

=== debian/changelog ===
debgpt (0.7.7) unstable; urgency=medium

  * Release 0.7.7 for Trixie.

 -- Mo Zhou <lumin@debian.org>  Sat, 03 May 2025 20:55:26 -0400

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python3-bs4,
  python3-tenacity,
  python3-pygments,
+ python3-setuptools,
  pandoc,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
